local E, L, V, P, G = unpack(ElvUI);
local GNUI = E:GetModule("GennUI");

function GNUI:LoadGladiusProfile()
local db = LibStub("AceDB-3.0"):New(Gladius2DB, nil, true)

if(Gladius2DB["profiles"]["GennUI"])then
db:SetProfile("GennUI")
else
Gladius2DB["profiles"] = {
		["Default"] = {
			["modules"] = {
				["Dispel"] = false,
				["Announcements"] = false,
			},
			["timerMinutesFontSize"] = 11,
			["castBarTextureUninterruptible"] = "GennUI Skullflower",
			["classIconCrop"] = true,
			["powerBarHeight"] = 12,
			["drTrackerAdjustSize"] = false,
			["growUp"] = true,
			["drTrackerRelativePoint"] = "RIGHT",
			["tagsVersion"] = 4,
			["locked"] = true,
			["trinketSize"] = 24,
			["y"] = {
				["arena1"] = 276.622376629508,
			},
			["x"] = {
				["arena1"] = 1077.33372591971,
			},
			["bottomMargin"] = 22,
			["castBarDetached"] = true,
			["castBarColor"] = {
				["b"] = 0.309803921568627,
				["g"] = 0.309803921568627,
				["r"] = 0.309803921568627,
			},
			["globalFont"] = "Gilroy Bold",
			["castBarOffsetY"] = -2,
			["timerSoonFontSize"] = 14,
			["castBarColorUninterruptible"] = {
				["b"] = 0.250980392156863,
				["g"] = 0.250980392156863,
				["r"] = 0.780392156862745,
			},
			["timerSecondsFontSize"] = 12,
			["dispellIconCrop"] = true,
			["direction"] = 1,
			["dispellOffsetX"] = 45,
			["announcements"] = {
				["health"] = false,
				["resurrect"] = false,
				["spec"] = false,
				["drinks"] = false,
				["enemies"] = false,
			},
			["drTrackerOffsetY"] = 0,
			["drTrackerAttachTo"] = "Trinket",
			["dispellSize"] = 24,
			["tagsTexts"] = {
				["PowerBar Left Text"] = {
					["text"] = "[spec]",
				},
				["HealthBar Right Text"] = {
					["text"] = " [health:short]",
				},
				["PowerBar Right Text"] = {
					["text"] = "",
				},
			},
			["drFontSize"] = 11,
			["castBarTexture"] = "GennUI Skullflower",
			["drTrackerAnchor"] = "LEFT",
			["castBarHeight"] = 18,
			["healthBarTexture"] = "GennUI Skullflower",
			["drTrackerSize"] = 36,
			["powerBarTexture"] = "GennUI Skullflower",
			["classIconShowSpec"] = true,
			["castBarBackgroundColor"] = {
				["a"] = 0,
			},
			["auraVersion"] = 1,
			["barWidth"] = 120,
		},
		["GennUI"] = {
			["modules"] = {
				["Dispel"] = false,
				["Announcements"] = false,
			},
			["timerMinutesFontSize"] = 11,
			["castBarTextureUninterruptible"] = "GennUI Skullflower",
			["classIconCrop"] = true,
			["powerBarHeight"] = 12,
			["drTrackerAdjustSize"] = false,
			["growUp"] = true,
			["drTrackerRelativePoint"] = "RIGHT",
			["tagsVersion"] = 4,
			["locked"] = true,
			["trinketSize"] = 24,
			["y"] = {
				["arena1"] = 276.622376629508,
			},
			["x"] = {
				["arena1"] = 1077.33372591971,
			},
			["bottomMargin"] = 22,
			["castBarDetached"] = true,
			["castBarColor"] = {
				["b"] = 0.309803921568627,
				["g"] = 0.309803921568627,
				["r"] = 0.309803921568627,
			},
			["globalFont"] = "Gilroy Bold",
			["castBarOffsetY"] = -2,
			["timerSoonFontSize"] = 14,
			["castBarColorUninterruptible"] = {
				["b"] = 0.250980392156863,
				["g"] = 0.250980392156863,
				["r"] = 0.780392156862745,
			},
			["timerSecondsFontSize"] = 12,
			["dispellIconCrop"] = true,
			["direction"] = 1,
			["dispellOffsetX"] = 45,
			["announcements"] = {
				["health"] = false,
				["resurrect"] = false,
				["spec"] = false,
				["drinks"] = false,
				["enemies"] = false,
			},
			["drTrackerOffsetY"] = 0,
			["drTrackerAttachTo"] = "Trinket",
			["dispellSize"] = 24,
			["tagsTexts"] = {
				["PowerBar Left Text"] = {
					["text"] = "[spec]",
				},
				["HealthBar Right Text"] = {
					["text"] = " [health:short]",
				},
				["PowerBar Right Text"] = {
					["text"] = "",
				},
			},
			["drFontSize"] = 11,
			["castBarTexture"] = "GennUI Skullflower",
			["drTrackerAnchor"] = "LEFT",
			["castBarHeight"] = 18,
			["healthBarTexture"] = "GennUI Skullflower",
			["drTrackerSize"] = 36,
			["powerBarTexture"] = "GennUI Skullflower",
			["classIconShowSpec"] = true,
			["castBarBackgroundColor"] = {
				["a"] = 0,
			},
			["auraVersion"] = 1,
			["barWidth"] = 120,
		},
	},

db:SetProfile("GennUI")
end

end
